module.exports = {
     env: {
       commonjs: true,
       node: true,
       browser: true,
       es6: true,
       jest: true,
     },
     extends: ["eslint:recommended", "plugin:react/recommended"],
     globals: {},
     parser: "babel-eslint",
     parserOptions: {
       ecmaFeatures: {
         jsx: true,
       },
       ecmaVersion: 2018,
       sourceType: "module",
     },
     plugins: ["react", "import", "react-hooks"],
     ignorePatterns: ["node_modules/"],
     "rules": {
      "react/prop-types": "off",
          // suppress errors for missing 'import React' in files
      "react/react-in-jsx-scope": "off",
    // allow jsx syntax in js files (for next.js project)
   "react/jsx-filename-extension": [1, { "extensions": [".js", ".jsx"] }],
    },
     settings: {
       react: {
         version: "latest", // "detect" automatically picks the version you have installed.
       },
     },
   };